%global _legacy_common_support 1

Name:		examinator
Version:	0.2
Release:	%mkrel 13
Summary:	Application to generate multiple choice exams in LaTeX quality
License:	GPLv2
Group:		Education
Url:		http://www.perihel.at/examinator
Source0:	http://www.perihel.at/examinator/%{name}-%{version}.tar.gz
# Set a more structured CMakeLists.txt
Patch0:		examinator-0.2-cmake.patch

BuildRequires:	cmake

%description
eXaminator generates multiple choice exams in LaTeX quality.
All you have to do is to maintain a collection of questions
in a simple plain text format.
Finally specify how many questions should be taken from each
collection file.
eXaminator will choose by random and maintains a history
(in a hidden file in the local directory) to guarantee that
questions are reused as seldom as possible.

A quick howto can be found at
http://www.perihel.at/examinator/examinator-howto.html

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc ChangeLog AUTHORS README NEWS doc/examinator-howto.html
%license COPYING
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man1/*


%changelog
* Sun Jul 06 2025 aurr <aurr> 0.2-13.mga10
+ Revision: 2247125
- fix typo
- set a more structured CMakeLists.txt
+ daviddavid <daviddavid>
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild
+ wally <wally>
- use mageia build time flags

* Tue May 21 2024 daviddavid <daviddavid> 0.2-12.mga10
+ Revision: 2065690
- add '-fPIC' compile flags to fix build

* Thu Mar 17 2022 umeabot <umeabot> 0.2-11.mga9
+ Revision: 1795236
- Mageia 9 Mass Rebuild

* Mon Jun 29 2020 joequant <joequant> 0.2-10.mga8
+ Revision: 1600388
- fix gcc10 build

* Thu Feb 13 2020 daviddavid <daviddavid> 0.2-9.mga8
+ Revision: 1512817
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.2-8.mga7
+ Revision: 1297638
- Mageia 7 Mass Rebuild

* Sun Aug 27 2017 daviddavid <daviddavid> 0.2-7.mga7
+ Revision: 1148371
- honor user C_FLAGS thus fixing empty debugsourcefiles.list

* Wed Feb 03 2016 umeabot <umeabot> 0.2-6.mga6
+ Revision: 932998
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2-5.mga5
+ Revision: 742308
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2-4.mga5
+ Revision: 679056
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2-3.mga4
+ Revision: 504163
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.2-2.mga3
+ Revision: 349821
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 30 2012 matteo <matteo> 0.2-1.mga3
+ Revision: 276132
- imported package examinator

